INTERFACE
SUBROUTINE GETSATID(KLEN,KBUFID,KBUFTYP)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KBUFID(KLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KBUFTYP(KLEN)
INTEGER(KIND=JPIM), PARAMETER :: JPMXSATIDS=100
INTEGER(KIND=JPIM), PARAMETER :: JPMXSUBTS=50
END SUBROUTINE GETSATID
END INTERFACE
